#
# spec file for package libSOIL
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soname 1

Name:           libSOIL
Version:        1.07.20080707
Release:        150500.7.pm.2
Summary:        Simple OpenGL Image Library
License:        SUSE-Public-Domain
Group:          System/Libraries
# Upstream URL dead.  Comment out for now until we find a new source.
#URL:            http://lonesock.net/soil.html
Source0:        soil.zip
# PATCH-FIX-UPSTREAM libSOIL-makefile.patch -- fix SuSE build/packaging issues
Patch0:         libSOIL-makefile.patch
BuildRequires:  Mesa-devel
BuildRequires:  unzip

%description
SOIL is a tiny C library used primarily for uploading textures into OpenGL.
It supports loading BMP, PNG, JPG, TGA, DDS, PSD and HDR files as well as
saving into TGA, BMP and DDS Files.
It is also able to perform common functions needed in loading OpenGL textures.

%package -n %{name}%{soname}
Summary:        Simple OpenGL Image Library
Group:          System/Libraries

%description -n %{name}%{soname}
SOIL is a tiny C library used primarily for uploading textures into OpenGL.
It supports loading BMP, PNG, JPG, TGA, DDS, PSD and HDR files as well as
saving into TGA, BMP and DDS Files.
It is also able to perform common functions needed in loading OpenGL textures.

%package devel
Summary:        Libsoil development files
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description devel
Headers and libraries to program against %{name}

%prep
# Can't use %%setup here, because the spaces within the extracted path
# blow up when -debug* packages are enabled.  Until the underlying macros
# are fixed, we must bypass the problem by removing the spaces from the
# source directory, thusly:
rm -rf %{name}-%{version}
unzip %{SOURCE0}
mv "Simple OpenGL Image Library" %{name}-%{version}
cd %{name}-%{version}
%patch -P0

%build
export CFLAGS='%{optflags}'
cd %{name}-%{version}
make %{?_smp_mflags} -C src -f ../projects/makefile/alternate\ Makefile.txt

%install
cd %{name}-%{version}
%make_install LIBDIR=%{_libdir} -C src -f ../projects/makefile/alternate\ Makefile.txt

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(0644, root, root, 0755)
%doc %{name}-%{version}/soil.html
%{_libdir}/%{name}.so.%{soname}*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{name}.so
%{_includedir}/SOIL

%changelog
* Tue Sep 24 2024 Thomas Williams <bif.bam@gmail.com>
- Switch out deprecated %%patchN macros for %%patch -P N.
* Fri Jul 14 2023 Thomas Williams <junknot@gmail.com>
- Bypass %%setup macro, due to severe breakage when -debug* packages are enabled.
  This is caused by the relevant macros not correctly handling embedded spaces
  in the extracted source directory path.  We can revert this whenever the
  macros (debug_package, __debug_install_post, _debugsource_packages, etc.) are
  fixed.
* Tue Jul 11 2023 Thomas Williams <junknot@gmail.com>
- libSOIL.spec file:
  Remove URL line (upstream site is dead).
  Update Patch line with more accurate description.
- Remove _service file and update with flat zipfile of source.
* Thu Mar 21 2013 joop.boonen@opensuse.org
- Corrected the License
* Sun Oct 24 2010 reddwarf@opensuse.org
- Initial package
